



import com.java4less.rbarcode.ws.BarcodeWS;
import java.awt.Dimension;
import java.awt.Image;
import java.net.URL;

import javax.swing.ImageIcon;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;


public class BarcodeClient extends javax.swing.JFrame {

    /** Creates new form MyFrame */
    public BarcodeClient(String args[]) {
        super();
        setTitle("Barcode web service client");
        setPreferredSize(new Dimension(400,400));
        initComponents();

        try 
        {
        	System.setProperty("com.sun.xml.ws.transport.http.client.HttpTransportPipe.dump","true");
        	// Call Web Service Operation, CHANGE THE URL HERE !
        	String server="http://localhost:8080";
        	if (args.length>0) server=args[0];
            URL url=new URL(server+"/j4lrbarcode/BarcodeWS?wsdl");
            Service service2=Service.create(url, new  QName("http://ws.rbarcode.java4less.com/","BarcodeWS"));         
            BarcodeWS port = service2.getPort(BarcodeWS.class); 

           Image result=port.createBarcode("CODE128", "123456789", "A", "false", "readable text", 0, 20, 1, 2, "", "", "", "", 20, 20);

            jlabel.setIcon(new ImageIcon(result));
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }


// <editor-fold defaultstate="collapsed" desc=" Generated Code "> 
    private void initComponents() {
        jlabel = new javax.swing.JLabel();

        getContentPane().setLayout(new java.awt.FlowLayout());

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
      
        getContentPane().add(jlabel);

        pack();
    }// </editor-fold> 

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
    	
    	final String[] args1=args;
        java.awt.EventQueue.invokeLater(new Runnable() {

        	
            public void run() {
                new BarcodeClient(args1).setVisible(true);
            }
        });
    }

// Variables declaration - do not modify 
    private javax.swing.JLabel jlabel;
// End of variables declaration 
}
